import { select, scaleOrdinal, scaleSqrt } from 'd3';
import { colorLegend } from './colorLegend';
import { sizeLegend } from './sizeLegend';

const svg = select('svg');

// creates color scale
const colorScale = scaleOrdinal()
  .domain(['apple', 'lemon', 'lime', 'orange'])
  .range(['#c11d1d', '#eae600', 'green', 'orange']);

// creates group svg element for color legend with cy and cx of top circle)
svg.append('g')
    .attr('transform', `translate(180,100)`)
    .call(colorLegend, {
      colorScale,
      circleRadius: 30,
      spacing: 80,
      textOffset: 100
    });

// creates size scale with min, max and step

const sizeScale = scaleSqrt()
  .domain([0, 10])
  .range([0, 20]);

// creates group svg element for color legend with cy and cx of top circle)
svg.append('g')
    .attr('transform', `translate(500,100)`)
    .call(sizeLegend, {
      sizeScale,
      spacing: 80,
      textOffset: 0,
      numTicks: 4,
      circleFill: 'rgba(0, 0, 0, 0.5)'
    });